#!/usr/bin/python
# -*- coding:utf-8 -*- 

#  MIT License
#
#  Copyright (c) 2019 shoucf
#
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice shall be included in all
#  copies or substantial portions of the Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
#  SOFTWARE.
#

from utils import *


class ConfParser(object):

	def __init__(self):
		self._conf_type = 0
		self._kv_map = dict()

	def read(self, file):
		if not os.path.exists(file):
			Log.log_error("The file does not exists!")
			sys.exit(0)
		if self._conf_type == 0:
			self.read_sp_conf(file)
		else:
			Log.log_error("Developing!")

	def read_sp_conf(self, file):
		fp = open(file)
		for line in fp:
			content = line.strip()
			
			if content == '' or content[0] == '#' or content[0] == ';':
				continue
			k_v = re.compile("\s+").split(content)
			self._kv_map[k_v[0]] = k_v[1]

		fp.close()

	def get_options(self):
		return self._kv_map


if __name__ == '__main__':
	test = ConfParser()
	test.read("../spark/spark-defaults.conf")
