#!/usr/bin/python
# -*- coding:utf-8 -*-


#  MIT License
#
#  Copyright (c) 2019 shoucf
#
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice shall be included in all
#  copies or substantial portions of the Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
#  SOFTWARE.
#

class Log(object):
    WARRING_COLOR = '\033[1;37m'  # yellow
    ERROR_COLOR = '\033[1;31m'  # red
    INFO_COLOR = '\033[1;34m'  # blue
    PASS_COLOR = '\033[1;32m'  # green
    END_COLOR = '\033[0m'

    @staticmethod
    def log_error(msg):
        print("[Error]: %s%s%s" % (Log.ERROR_COLOR, msg, Log.END_COLOR))

    @staticmethod
    def log_warn(msg):
        print("[Warning]: %s%s%s" % (Log.WARRING_COLOR, msg, Log.END_COLOR))

    @staticmethod
    def log_info(msg):
        print("[Info]: %s%s%s" % (Log.INFO_COLOR, msg, Log.END_COLOR))

    @staticmethod
    def log_pass(msg):
        print("[Pass]: %s%s%s" % (Log.PASS_COLOR, msg, Log.END_COLOR))


if __name__ == '__main__':
    Log.log_pass("msg")
